Create Contract Tier Price Override
curl --request POST \
--url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides \
--header 'Content-Type: application/json' \
--data '
{
"tier": 123,
"contract": 123,
"price": 0,
"percentage": 0,
"integration_name": "<string>",
"external_reference": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides"
payload = {
"tier": 123,
"contract": 123,
"price": 0,
"percentage": 0,
"integration_name": "<string>",
"external_reference": "<string>",
"notes": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
tier: 123,
contract: 123,
price: 0,
percentage: 0,
integration_name: '<string>',
external_reference: '<string>',
notes: '<string>'
})
};
fetch('https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/tier-price-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tier": 123,
"tier_name": "<string>",
"contract": 123,
"deal_name": "<string>",
"usage_group_id": 123,
"usage_group_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"price": 0,
"percentage": 0,
"source": "manual",
"integration_name": "<string>",
"external_reference": "<string>",
"notes": "<string>"
}Revenue Recognition
Create Contract Tier Price Override
POST
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
tier-price-overrides
Create Contract Tier Price Override
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Override price per unit for this contract+tier
Required range:
-100000000000000 < x < 100000000000000Override percentage for this contract+tier (percentage-based pricing)
Required range:
-100000000000000 < x < 100000000000000manual- Manual entryintegration- Integration-driven
Available options:
manual, integration Maximum string length:
250Maximum string length:
250Response
201 - application/json
Override price per unit for this contract+tier
Required range:
-100000000000000 < x < 100000000000000Override percentage for this contract+tier (percentage-based pricing)
Required range:
-100000000000000 < x < 100000000000000manual- Manual entryintegration- Integration-driven
Available options:
manual, integration Maximum string length:
250Maximum string length:
250